SK_ALLOC(9)

NAME
sk_alloc - All socket objects are allocated here

SYNOPSIS

struct sock * sk_alloc (int family, gfp_t priority, struct proto * prot, int zero_it);

ARGUMENTS

family
    protocol family

priority
    for allocation (GFP_KERNEL, GFP_ATOMIC, etc)

prot
    struct proto associated with this new sock instance

zero_it
    if we should zero the newly allocated sock